# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name mwc-random

%global common_summary Pseudo random number generation library for Haskell

%global common_description This package provides library for generating high quality random \
numbers that follow either a uniform or normal distribution.  The \
generated numbers are suitable for use in statistical applications. \
The uniform PRNG uses Marsaglia's MWC256 (also known as MWC8222) \
multiply-with-carry generator, which has a period of 2^8222 and \
fares well in tests of randomness.  It is also extremely fast, \
between 2 and 3 times faster than the Mersenne Twister. \
Compared to the mersenne-random package, this package has a more \
convenient API, is faster, and supports more statistical \
distributions.

Name:           ghc-%{pkg_name}
Version:        0.11.0.0 
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-primitive-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-vector-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files
%doc README.markdown


%changelog
* Thu Jan 19 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.11.0.0-1
- update to 0.11.0.0 version

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-2
- update to cabal2spec-0.25.2
- add README file
- depends on time

* Sat Nov 19 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.1-1
- Added dependencies. License is BSD3

* Sat Nov 19 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.10.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
